# Core-navigation Release Notes

- [0.5.0-alpha](#050-alpha)

## 0.5.0-alpha
##### Core-navigation
* ANDDEP-1049 All classes responsible for navigation migrated from `core-ui` to `core-navigation`
* **NO BACKWARD COMPATIBILITY** ANDDEP-1049 Package for `BaseActivityResultDelegate`,`SupportOnActivityResultRoute` and `CrossFeatureSupportOnActivityResultRoute` is changed 
from `ru.surfstudio.android.core.ui.event.result` to:  `ru.surfstudio.android.core.ui.navigation.event.result`
* ANDDEP-1048 Fixing wrong docs links and docs structure
* ANDDEP-1056 Added `CustomTabsNavigator` and `OpenLinkRoute`
* ANDDEP-1148 code updated for target sdk 30
